package de.cnam.jemina.stub.auth;

import de.cnam.jemina.extern.auth.IUser;
import de.cnam.jemina.extern.auth.IUserDirectory;

/**
 * Simuliert ein Fremdsystem, welches sich um die Benutzerverwaltung k&uuml;mmert
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 20.01.2013
 */
public class UserDirectory implements IUserDirectory{

    @Override
    public IUser checkLogin(String username, String password) {
        IUser user = null;        
        
        // Mike Weis:
        if ("mike".equalsIgnoreCase(username) && "mike".equalsIgnoreCase(password)) {
            user = new User("mike", "Mike Weis", IUser.ROLLE.MITARBEITER, "default");
        }
        
        // Nadine Thybusch:
        if ("nadine".equalsIgnoreCase(username) && "nadine".equalsIgnoreCase(password)) {
            user = new User("nadine", "Nadine Thybusch", IUser.ROLLE.MITARBEITER, "girls");
        }
        
        // Jens Giehl:
        if ("jens".equalsIgnoreCase(username) && "jens".equalsIgnoreCase(password)) {
            user = new User("jens", "Jens Giehl", IUser.ROLLE.MITARBEITER, "default");
        }
        
        // Admin:
        if ("admin".equalsIgnoreCase(username)) {
            user = new User("admin", "Admin", IUser.ROLLE.MITARBEITER, "default");
        }
        
        // Student:
        if ("student".equalsIgnoreCase(username)) {
            user = new User("student", "Student", IUser.ROLLE.STUDENT, "default");
        }
        
        return user;
    }

}
